%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-el-2.2-api
Version:       1.0.0
Release:       %mkrel 1
Summary:       Expression Language 2.2 API
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/
Source0:       jboss-el-api_2.2_spec-%{namedversion}-src-svn.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: jboss-specs-parent

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
Requires:      jboss-specs-parent
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
The Expression Language 2.2 API classes.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-el-api_2.2_spec-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
install -pm 644 target/jboss-el-api_2.2_spec-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri Aug 12 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 132748
- Clean spec file

  + gil <gil>
    - imported package jboss-el-2.2-api

